# Docker-compose for any-sync
Self-host for any-sync, designed for personal usage or for review and testing purposes.

> [!IMPORTANT]
> This image is suitable for running your personal self-hosted any-sync network for home usage.
> If you plan to self-host a heavily used any-sync network, please consider other options.

> [!WARNING]
> Before upgrading please read [UPGRADE.md](./UPGRADE.md)

## [Usage](../../wiki/)
## [Configuration](../../wiki/Configuration)
## [Troubleshooting & FAQ](../../wiki/Troubleshooting-&-FAQ)
## [Compatible versions](../../wiki/Compatible-versions)
## [Local build](../../wiki/Local-build)

## Upgrading
For detailed instructions of upgrading to the latest version, please see the [Upgrade-Guide](../../wiki/Upgrade-Guide) file.

## Changelog
For a detailed list of changes in each version, check out the [CHANGELOG.md](./CHANGELOG.md) file.  
For auto generate CHANGELOG.md file please use commands:
```
pip install git-changelog
git-changelog --output CHANGELOG.md
```

## Contribution
Thank you for your desire to develop Anytype together!

❤️ This project and everyone involved in it is governed by the [Code of Conduct](https://github.com/anyproto/.github/blob/main/docs/CODE_OF_CONDUCT.md).

🧑‍💻 Check out our [contributing guide](https://github.com/anyproto/.github/blob/main/docs/CONTRIBUTING.md) to learn about asking questions, creating issues, or submitting pull requests.

🫢 For security findings, please email [security@anytype.io](mailto:security@anytype.io) and refer to our [security guide](https://github.com/anyproto/.github/blob/main/docs/SECURITY.md) for more information.

🤝 Follow us on [Github](https://github.com/anyproto) and join the [Contributors Community](https://github.com/orgs/anyproto/discussions).

---
Made by Any — a Swiss association 🇨🇭

Licensed under [MIT](./LICENSE.md).
